7 posts / 0 new
Last post
toug31
toug31's picture
Help for building firmware.

Hi,

I see that the firmware of my OVMS module is 1 year old. Seems that official firmware are not build and beployed often.

I downloaded the sources with git but didn't found any instruction on web for building. There is one makefile but seems related to documentation.

thanks.

markwj
markwj's picture
Current 'main' firmware

Current 'main' firmware should be from Jan this year.

If you want something more bleeding edge, set your release level to 'edge' and you can get the nightly builds. But beware that a lot of (possibly breaking) changes are made.

If you really want to build the firmware yourself, you can get the developer's guide and firmware from the links here:

https://www.openvehicles.com/developers

toug31
toug31's picture
I wanted to build the

I wanted to build the firmware myself because the version of the firmware I have is very old:

3.3.003/ota_0/main (build idf v3.3.4-848-g1ff5e24b1 Sep 1 2022 08:40:30)

So I was thinking that maybe the firmware was not built after each code update.

When I go the firmware page of OVMS, I click on update from web tab. It always download the 3.3 firmware.

It says " Leave empty to download the latest firmware from the update server " but it keeps downloading the 3.3 firmware which is a september 2022 firmware...

 

markwj
markwj's picture
The 'edge' firmware is built

The 'edge' firmware is built daily.

toug31
toug31's picture
I changed the version tag to

I changed the version tag to eap, but it still says that available version is 3.3.003 ....

 

toug31
toug31's picture
It finally managed to update

It finally managed to update to version 3.3.003-610-g29cc0734/ota_0/eap (build idf v3.3.4-849-g6e214dc33 Jan 8 2024 00:06:40.

But I'm somewhat surprised because on page https://docs.openvehicles.com/en/latest/userguide/warnings.html it says " Beginning with firmware release 3.3.004, the 12V monitoring can be configured to enable deep sleep based on a low 12V voltage level" so I'm still in version under 3.3.004...

markwj
markwj's picture
I guess it just means that it

I guess it just means that it wasn't in 3.3.003 and will be in the upcoming 3.3.004.

Log in or register to post comments
randomness